Loading...
Searching...
No Matches
juce::TimedCallback Class Referencefinal

## Detailed Description

Utility class wrapping a single non-null callback called by a Timer.

You can use the usual Timer functions to start and stop the TimedCallback. Deleting the TimedCallback will automatically stop the underlying Timer.

With this class you can use the Timer facility without inheritance.

See also
  Timer

The documentation for this class was generated from the following file:

- juce_events/timers/juce_TimedCallback.h

Inheritance diagram for juce::TimedCallback:

## Public Member Functions

| TimedCallback (std::function< void()> callbackIn)
| Constructor.
| ~TimedCallback () noexcept override
| Destructor.
void | startTimer (int intervalInMilliseconds) noexcept
| Starts the timer and sets the length of interval required.
void | startTimerHz (int timerFrequencyHz) noexcept
| Starts the timer with an interval specified in Hertz.
void | stopTimer () noexcept
| Stops the timer.
bool | isTimerRunning () const noexcept
| Returns true if the timer is currently running.
int | getTimerInterval () const noexcept
| Returns the timer's interval.

## Constructors and Destructors

## TimedCallback()

juce::TimedCallback::TimedCallback | ( | std::function< void()> | callbackIn | ) |

inline explicit

Constructor.

The passed in callback must be non-null.

References jassert.

## ~TimedCallback()

juce::TimedCallback::~TimedCallback | ( |  | ) |

inline override noexcept

Destructor.

References stopTimer().

## Member Functions

## startTimer()

void juce::Timer::startTimer | ( | int | intervalInMilliseconds | ) |

noexcept

Starts the timer and sets the length of interval required.

If the timer is already started, this will reset it, so the time between calling this method and the next timer callback will not be less than the interval length passed in.

Parameters

  intervalInMilliseconds | the interval to use (any value less than 1 will be rounded up to 1)

## startTimerHz()

void juce::Timer::startTimerHz | ( | int | timerFrequencyHz | ) |

noexcept

Starts the timer with an interval specified in Hertz.

This is effectively the same as calling startTimer (1000 / timerFrequencyHz).

## stopTimer()

void juce::Timer::stopTimer | ( |  | ) |

noexcept

Stops the timer.

No more timer callbacks will be triggered after this method returns.

Note that if you call this from a background thread while the message-thread is already in the middle of your callback, then this method will cancel any future timer callbacks, but it will return without waiting for the current one to finish. The current callback will continue, possibly still running some of your timer code after this method has returned.

Referenced by ~TimedCallback().

## isTimerRunning()

bool juce::Timer::isTimerRunning | ( |  | ) | const

inline noexcept

Returns true if the timer is currently running.

## getTimerInterval()

int juce::Timer::getTimerInterval | ( |  | ) | const

inline noexcept

Returns the timer's interval.

Returns
  the timer's interval in milliseconds if it's running, or 0 if it's not.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited